org.apache.solr.hadoop

## Class UnbufferedDataInputInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.solr.common.util.DataInputInputStream
    - - org.apache.solr.hadoop.UnbufferedDataInputInputStream

- All Implemented Interfaces:
    Closeable, DataInput, AutoCloseable

      public class UnbufferedDataInputInputStream
      extends DataInputInputStream

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnbufferedDataInputInputStream(DataInput in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `read()`
    `boolean` | `readBoolean()`
    `byte` | `readByte()`
    `char` | `readChar()`
    `double` | `readDouble()`
    `float` | `readFloat()`
    `void` | `readFully(byte[] b)`
    `void` | `readFully(byte[] b, int off, int len)`
    `int` | `readInt()`
    `String` | `readLine()`
    `long` | `readLong()`
    `short` | `readShort()`
    `int` | `readUnsignedByte()`
    `int` | `readUnsignedShort()`
    `String` | `readUTF()`
    `int` | `skipBytes(int n)`

    - ### Methods inherited from class java.io.InputStream

      `available, close, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnbufferedDataInputInputStream

          public UnbufferedDataInputInputStream(DataInput in)

  - ### Method Detail

    - #### readFully

          public void readFully(byte[] b)
                         throws IOException

      Throws:
        `IOException`

    - #### readFully

          public void readFully(byte[] b,
                                int off,
                                int len)
                         throws IOException

      Throws:
        `IOException`

    - #### skipBytes

          public int skipBytes(int n)
                        throws IOException

      Throws:
        `IOException`

    - #### readBoolean

          public boolean readBoolean()
                              throws IOException

      Throws:
        `IOException`

    - #### readByte

          public byte readByte()
                        throws IOException

      Throws:
        `IOException`

    - #### readUnsignedByte

          public int readUnsignedByte()
                               throws IOException

      Throws:
        `IOException`

    - #### readShort

          public short readShort()
                          throws IOException

      Throws:
        `IOException`

    - #### readUnsignedShort

          public int readUnsignedShort()
                                throws IOException

      Throws:
        `IOException`

    - #### readChar

          public char readChar()
                        throws IOException

      Throws:
        `IOException`

    - #### readInt

          public int readInt()
                      throws IOException

      Throws:
        `IOException`

    - #### readLong

          public long readLong()
                        throws IOException

      Throws:
        `IOException`

    - #### readFloat

          public float readFloat()
                          throws IOException

      Throws:
        `IOException`

    - #### readDouble

          public double readDouble()
                            throws IOException

      Throws:
        `IOException`

    - #### readLine

          public String readLine()
                          throws IOException

      Throws:
        `IOException`

    - #### readUTF

          public String readUTF()
                         throws IOException

      Throws:
        `IOException`

    - #### read

          public int read()
                   throws IOException

      Specified by:
        `read` in class `InputStream`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.